KDE 4.9 PyKDE API Reference

- KDE's Python API

# KProgressDialog Class Reference

`from PyKDE4.kdeui import *`

Inherits: KDialog → QDialog → QWidget → QObject

## Detailed Description

A dialog with a progress bar

KProgressDialog provides a dialog with a text label, a progress bar and an optional cancel button with a KDE look 'n feel.

Since knowing how long it can take to complete an action and it is undesirable to show a dialog for a split second before hiding it, there are a few ways to control the timing behavior of KProgressDialog. There is a time out that can be set before showing the dialog as well as an option to autohide or keep displaying the dialog once complete.

All the functionality of QProgressBar is available through direct access to the progress bar widget via progressBar();

"KDE Progress Dialog"

Author:
  Aaron J. Seigo

Author:
  Urs Wolfer uwolfer @kde.org

## Methods

| __init__ (self, QWidget parent=0, QString caption=QString(), QString text=QString(), Qt::WFlags flags=0)
| __init__ (self, KProgressDialog a0)
bool | allowCancel (self)
bool | autoClose (self)
bool | autoReset (self)
QString | buttonText (self)
| ignoreCancel (self)
QString | labelText (self)
int | minimumDuration (self)
QProgressBar | progressBar (self)
| reject (self)
| setAllowCancel (self, bool allowCancel)
| setAutoClose (self, bool close)
| setAutoReset (self, bool autoReset)
| setButtonText (self, QString text)
| setLabelText (self, QString text)
| setMinimumDuration (self, int ms)
| showCancelButton (self, bool show)
| showEvent (self, QShowEvent event)
bool | wasCancelled (self)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | QString | caption=QString(),
|  | QString | text=QString(),
|  | Qt::WFlags | flags=0
| ) |  |  |

Constructs a KProgressDialog

Parameters:

  | parent | Parent of the widget
  | caption | Text to display in window title bar
  | text | Text to display in the dialog
  | flags | The widget flags

__init__ | ( | self, |
|  | KProgressDialog | a0
| ) |  |  |

bool allowCancel | ( |  | self ) |

Returns true if the dialog can be canceled, false otherwise

bool autoClose | ( |  | self ) |

Returns true if the dialog will close upon completion, or false otherwise

bool autoReset | ( |  | self ) |

Returns true if the QProgressBar widget will be reset upon completion, or false otherwise

QString buttonText | ( |  | self ) |

Returns the text on the cancel button

ignoreCancel | ( |  | self ) |

Ignores the last cancel action if the cancel button was pressed. Useful for kdialog when combined with a KMessageBox to display a message like "Are you sure you want to cancel?"

QString labelText | ( |  | self ) |

Returns the current dialog text

int minimumDuration | ( |  | self ) |

Returns the time that must pass before the dialog appears.

See also:
  setMinimumDuration

QProgressBar progressBar | ( |  | self ) |

Returns the QProgressBar used in this dialog. To set the number of steps or other progress bar related settings, access the QProgressBar object directly via this method.

reject | ( |  | self ) |

setAllowCancel | ( | self, |
|  | bool | allowCancel
| ) |  |  |

Sets whether or not the user can cancel the process. If the dialog is cancellable, the Cancel button will be shown and the user can close the window using the window decorations. If the process is not (or should not be) interuptable, set the dialog to be modal and not cancellable.

The default is true.

Parameters:

  | allowCancel | Set to true to make the dialog non-closable

setAutoClose | ( | self, |
|  | bool | close
| ) |  |  |

Sets whether the dialog should close automagically when all the steps in the QProgressBar have been completed.

The default is true.

setAutoReset | ( | self, |
|  | bool | autoReset
| ) |  |  |

Sets whether the dialog should reset the QProgressBar dialog back to 0 steps compelete when all steps have been completed. This is useful for KProgressDialogs that will be reused.

The default is false.

setButtonText | ( | self, |
|  | QString | text
| ) |  |  |

Sets the text to appear on the cancel button.

setLabelText | ( | self, |
|  | QString | text
| ) |  |  |

Sets the text in the dialog

Parameters:

  | text | the text to display

setMinimumDuration | ( | self, |
|  | int | ms
| ) |  |  |

Set the minimum number of milliseconds to wait before actually showing the dialog.

If the expected duration of the task is less than the minimumDuration, the dialog will not appear at all. This prevents the dialog popping up for tasks that are quickly over. For tasks that are expected to exceed the minimumDuration, the dialog will pop up after the minimumDuration time. If set to 0, the dialog is always shown immediately. The default is 2000 milliseconds.

showCancelButton | ( | self, |
|  | bool | show
| ) |  |  |

Sets whether the cancel button is visible. setAllowCancel(false) implies showCancelButton(false)

The default is true.

Parameters:

  | show | Whether or not the cancel button should be shown

showEvent | ( | self, |
|  | QShowEvent | event
| ) |  |  |

bool wasCancelled | ( |  | self ) |

Returns true if the dialog was closed or canceled before completion. If the dialog is not cancellable it will always return false.